﻿﻿ /*Note: styles that (#menu > ul > li)  has symbol (>) are not applying for angular code so added both with and with out symbols(>)*/
#menu {
    top: 22px;
    clear: both;
    width: 100%;
    height: 50px;
    font: 13px/50px 'HelveticaNeueW01-75Bold', 'Helvetica Neue', Helvetica, Arial, sans-serif;
    background-color: #000;
    color: #000;
    z-index: 2;
    outline: none;
}

#menu ul li a {
    text-decoration: none;
    font-weight: normal;
    color: #fff;
    padding: 0 8px 0 8px;
    height: 50px;
    position: relative;
    z-index: 1;
    display: block;
    background-color: #000;
    outline: none;
}

#menu > ul > li > a, #menu > ul > li > ul > li > a {
    text-decoration: none;
    font-weight: normal;
    color: #fff;
    padding: 0 0px 0 8px;
    height: 50px;
    position: relative;
    z-index: 1;
    display: block;
}

    #menu > ul > li > a:hover, #menu > ul > li > ul > li > a:hover {
        /*background-color: #CC0000;*/
    }

#menu ul {
    margin: 0;
    padding: 0px;
    list-style: none;
    display: block !important;
    z-index: 3;
}

    #menu ul li {
        float: left;
        z-index: 4;
        /*    background-color: #000;*/
        padding-right: 8px;
    }

        #menu ul li ul li {
            float: none;
            margin: 0 0 0 0px;
            padding: 0;
            width: 100%;
            z-index: 5;
        }

            #menu ul li ul li a {
                background-image: none;
                background-color: white;
                color: black;
            }

        #menu ul li ul {
            position: absolute;
            display: none;
            visibility: hidden;
            margin-top: -1px;
            padding: 0px 0px 0px 0px;
            background-color: white;
            font-weight: bold;
            color: black;
            border-right: 1px solid #d8d8d8;
            border-left: 1px solid #d8d8d8;
            border-bottom: 2px solid #d8d8d8;
        }

            #menu ul li ul.show-menu {
                left: 0;
                opacity: 1;
            }


#menu > ul > li > ul {
    padding: 0px 8px 0px 0px;
}

    #menu > ul > li > a, #menu > ul > li > ul > li > a {
        width: 100%;
    }

#menu ul li:hover ul {
    visibility: visible;
    min-width: 14%;
}

#menu > ul > li > ul > li > a:hover {
    color: white;
}

#menu ul li:hover ul li a {
    background-color: #fff;
}

    #menu ul li.active a, #menu ul li:hover ul li a:hover, #menu ul li:hover a, #menu ul li:active a, #menu > ul > li:hover {
        background-color: #CC0000;
        box-sizing: content-box !important;
    }

        #menu ul li.active a::after, #menu ul li:hover a::after, #menu > ul > li:hover > a::after {
            border-left: 8px solid transparent;
            border-right: 8px solid transparent;
            border-bottom: 8px solid #FFF;
            content: " ";
            height: 0px;
            left: 50%;
            margin-left: -10px;
            position: absolute;
            bottom: 0px;
        }

    #menu ul li:hover ul li a::after {
        border: none;
    }

#menu ul:empty {
    padding: 0px;
}

#menu a:hover {
    background-color: #CC0000;
    color: #FFFFFF;
}
/* Footer style scroll top button */
#topscroll {
    display: none;
}

.toparrow .button {
    z-index: 99;
    font-weight: bold;
    border: none;
    outline: none;
    background-color: #000000;
    color: #FFF;
    cursor: pointer;
    font-size: 11px;
    margin-top: 4px;
    margin-left: -8px;
    padding: 2px;
}

.toparrow svg {
    margin-bottom: -14px;
    margin-left: -3px
}

#topscroll:hover {
    background-color: #555;
}

.toparrow div {
    margin-left: 8px;
    margin-top: -15px;
}

.toparrow {
    position: fixed;
    bottom: 20px;
    right: 30px;
    z-index: 99;
    font-weight: bold;
    border: none;
    outline: none;
    background-color: #000000;
    color: #FFF;
    cursor: pointer;
    border-radius: 5px;
}

/*Sign out and plan year*/
.blueMenu {
    position: relative;
    height: 30px;
    font: 13px/27px Arial, Helvetica, sans-serif;
    /*font: 13px/27px "Trebuchet MS", Helvetica, sans-serif;*/
    background-color: #FFFFFF;
    color: #126BC6;
}

    .blueMenu a {
        padding: 6px 8px 7px;
        text-decoration: none;
        font-weight: normal;
        border-right: 1px solid #FFFFFF;
        border-left: 1px solid #FFFFFF;
        color: #126BC6;
    }

        .blueMenu a:hover {
            background-color: #126BC6;
            color: #FFFFFF;
        }

    .blueMenu ul {
        margin: 0;
        padding: 0 0 0 10px;
        list-style: none;
    }

        .blueMenu ul li {
            float: left;
            padding: 0;
        }

            .blueMenu ul li ul li {
                float: none;
                margin: 0 0 0 0px;
                padding: 0;
                width: 100%;
            }

                .blueMenu ul li ul li a {
                    background-color: #FFFFFF;
                }

            .blueMenu ul li ul {
                position: absolute;
                display: none;
                visibility: hidden;
                margin-top: -1px;
                padding: 0px 16px 0px 0;
                border-right: 1px solid #126BC6;
                border-bottom: 1px solid #126BC6;
                border-left: 1px solid #126BC6;
            }

    .blueMenu ul {
        display: block !important;
    }

        .blueMenu ul li a {
            position: relative;
            z-index: 1;
            display: block;
            padding: 0 8px 0 8px;
            height: 29px;
            border-bottom: 0;
            background-color: #FFFFFF;
        }

        .blueMenu ul a {
            width: 100%;
            border: 0 !important;
            border: 0;
        }

        .blueMenu ul li:hover ul {
            visibility: visible;
        }

/*Menu arrows*/

.arrow {
    position: relative;
    top: 10px;
    margin-left: 5px;
    width: 0;
    height: 0;
    border-top: 4px solid #C0C0C0;
    border-right: 4px solid transparent;
    border-left: 4px solid transparent;
}

.blueArrow {
    position: relative;
    top: 10px;
    margin-left: 5px;
    width: 0;
    height: 0;
    border-top: 4px solid #329BF6;
    border-right: 4px solid transparent;
    border-left: 4px solid transparent;
}


.navbarmenu {
    border-bottom: 2px solid #d8d8d8;
    padding: .5rem 0 0;
    display: block;
    /*    position: relative;*/
}

.container {
    padding: 0;
    width: 100%;
    margin-right: auto;
    margin-left: auto;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    clear: both;
    width: 100%;
    height: 50px;
    font: 13px / 28px 'HelveticaNeueW01-75Bold', 'Helvetica Neue', Helvetica, Arial, sans-serif;
    /*   background-color: #000;*/
    color: #000;
    z-index: 2;
    outline: none;
}

.nav {
    display: flex;
    flex-wrap: wrap;
}

/* Used to override bootstrap and .container */
.navbarmenu .container {
    width: 100%;
    padding-left: 0px;
    padding-right: 0px;
}

.navbarmenu .container > ul {
    padding-left: 25px;
    width: 100%;
}

.navbarmenu ul.nav {
    background: black;
    list-style: none;
    margin: 0;
    padding: 0px;
    display: block !important;
    z-index: 3;
}

    .navbarmenu ul.nav li {
        cursor: pointer;
        font-weight: bold;
        white-space: nowrap;
        background: #fff;
        position: relative;
        float: left;
    }

        .navbarmenu ul.nav li a {
            color: white;
            text-decoration: none;
            width: 100%;
            display: inline-block;
            padding: 12px 9px;
            background-color: #000;
            box-sizing: content-box !important;
        }

        .navbarmenu ul.nav li:active:not(.mobile) {
            border-bottom: 2px solid #275a89;
            color: #275a89;
        }

        /*       .navbar ul.nav li:active:not(.mobile) a {
                background-color: #CC0000;
                box-sizing: content-box !important;
            }
*/
        /*.navbar ul.nav li.selected a {*/
        /*      border-bottom: 4px solid #0075bf;
            color: #0075bf;*/
        /*background-color: #CC0000;
            margin-bottom: -2px;
        }*/

        .navbarmenu ul.nav li.selected a {
            background-color: #CC0000;
            box-sizing: content-box !important;
        }

            .navbarmenu ul.nav li.selected a ul li.selected a {
                background-color: #CC0000;
                box-sizing: content-box !important;
            }

            .navbarmenu ul.nav li.selected a ul li a {
                background-color: white !important;
                box-sizing: content-box !important;
            }

        .navbarmenu ul.nav li:focus {
            border: 2px solid #d8d8d8;
            padding-bottom: 0;
        }

            .navbarmenu ul.nav li:focus ul {
                opacity: 1;
                left: 0;
            }

        .navbarmenu ul.nav li a:hover {
            background-color: #CC0000 !important;
            color: white !important;
            box-sizing: content-box !important;
        }

        .navbarmenu ul.nav li:hover a {
            text-decoration: none;
        }

        .navbarmenu ul.nav li:hover ul {
            opacity: 1;
            left: 0;
        }


        .navbarmenu ul.nav li ul li a:focus {
            background-color: #CC0000 !important;
            color: white !important;
            box-sizing: content-box !important;
            width: 200px;
        }

        .navbarmenu ul.nav li a:focus {
            background-color: #CC0000;
            box-sizing: content-box !important;
        }

    .navbarmenu ul.nav ul {
        border: none;
        margin: 0px;
        position: absolute;
        width: 200px;
        opacity: 0;
        left: -99999px;
        list-style: none;
    }

        .navbarmenu ul.nav ul.show-menu {
            left: 0;
            opacity: 1;
        }

    .navbarmenu ul.nav li ul li a {
        border: 1px solid #d8d8d8;
        width: 200px;
        position: static;
        background-image: none;
        background-color: white !important;
        color: black;
    }

    .navbarmenu ul.nav li ul li.selected a {
        border: 1px solid #d8d8d8;
        width: 200px;
        position: static;
        background-image: none;
        background-color: #CC0000 !important;
        color: white !important;
    }

li.navMenu a:focus + ul.subnav {
    left: 0;
    opacity: 1;
}

ul.subnav:has(>li a:focus) {
    left: 0;
    opacity: 1;
}


@media screen and (max-width:768px) {
    .navbarmenu {
        display: inline-block;
    }

    .container {
        display: inline;
    }

    .navbarmenu ul.nav {
        width: 100%;
    }

        .navbarmenu ul.nav a {
            width: 100%;
        }

        .navbarmenu ul.nav ul {
            width: 100%;
        }

        .navbarmenu ul.nav li {
            width: 100%;
        }

            .navbarmenu ul.nav li ul li a {
                width: 100%;
            }

    .navbarmenu ul.subnav {
        display: block;
        padding-left: 0;
        z-index: 1;
    }

    .navbarmenu ul.nav li ul li.selected a {
        width: 100%;
    }

    .navbarmenu ul.nav li ul li a:focus {
        width: 100%;
    }
}
/*.navbar ul.nav ul li.selected {
    border-left: 2px solid #CC0000;
    padding-left: 14px;
}*/


.skip {
    top: auto;
    left: -999px;
    position: absolute;
    width: 1px;
    height: 1px;
    overflow: hidden;
    text-align: left;
}

    .skip:focus, .skip:active {
        color: #000;
        left: 7px;
        top: auto;
        width: 18%;
        height: auto;
        text-align: left;
    }

